function plotData(df, totalPower, extraPower, sbPower)


subplot(2,1,1)
set(gca, 'FontSize', 16);
semilogy(df/1e6, [totalPower, extraPower]);
axis([-inf inf 1e-3 1e2]);
%legend('Full modes', 'No carrier', 'Location','SouthEast');
ylabel('Trans. [mW]');
set(gca, 'YTick', [1e-2 1 1e2]);
title('Total transmission');


subplot(2,1,2)
set(gca, 'FontSize', 16);
semilogy(df/1e6, sbPower);
axis([-inf inf 1e-6 1e3]);
%legend('-45 MHz', '-9 MHz', 'Carrier', '9 Mhz', '45 MHz');
ylabel('Trans. [mW]');
xlabel('Frequency [MHz]');
set(gca, 'YTick', [1e-6 1e-3 1 1e3]);
title('Per sideband transmission')